Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5AC_cache_image_config_t Struct Reference

`#include <src/H5ACpublic.h>`

## Detailed Description

H5AC_cache_image_config_t is a public structure intended for use in public APIs. At least in its initial incarnation, it is a copy of `struct` `H5C_cache_image_ctl_t`.

## Data Fields
int | entry_ageout
bool | generate_image
bool | save_resize_status
int | version

## Field Documentation

## ◆ entry_ageout

int entry_ageout

Integer field indicating the maximum number of times a prefetched entry can appear in subsequent cache images. This field exists to allow the user to avoid the buildup of infrequently used entries in long sequences of cache images.

The value of this field must lie in the range H5AC__CACHE_IMAGE__ENTRY_AGEOUT__NONE (-1) to H5AC__CACHE_IMAGE__ENTRY_AGEOUT__MAX (100).

H5AC__CACHE_IMAGE__ENTRY_AGEOUT__NONE means that no limit is imposed on number of times a prefetched entry can appear in subsequent cache images.

A value of 0 prevents prefetched entries from being included in cache images.

Positive integers restrict prefetched entries to the specified number of appearances.

Note that the number of subsequent cache images that a prefetched entry has appeared in is tracked in an 8 bit field. Thus, while H5AC__CACHE_IMAGE__ENTRY_AGEOUT__MAX can be increased from its current value, any value in excess of 255 will be the functional equivalent of H5AC__CACHE_IMAGE__ENTRY_AGEOUT__NONE.

## ◆ generate_image

bool generate_image

Boolean flag indicating whether a cache image should be created on file close.

## ◆ save_resize_status

bool save_resize_status

Boolean flag indicating whether the cache image should include the adaptive cache resize configuration and status. Note that this field is ignored at present.

## ◆ version

int version

Integer field containing the version number of this version of the `H5C_image_ctl_t` structure. Any instance of `H5C_image_ctl_t` passed to the cache must have a known version number, or an error will be flagged.

The documentation for this struct was generated from the following file:

- src/H5ACpublic.h